summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNicolas Bock <nicolasbock@gentoo.org>2017-10-06 11:31:11 -0600
committerNicolas Bock <nicolasbock@gentoo.org>2017-10-06 11:31:33 -0600
commitf62a8afb27f7b9f5dcc9e6c846001efcf0c97174 (patch)
tree1fc85767c00dd14fddb2f87ac97672af9dce6a55 /mail-client/neomutt
parentsys-fs/udev: sync live ebuild (diff)
downloadgentoo-f62a8afb27f7b9f5dcc9e6c846001efcf0c97174.tar.gz
gentoo-f62a8afb27f7b9f5dcc9e6c846001efcf0c97174.tar.bz2
gentoo-f62a8afb27f7b9f5dcc9e6c846001efcf0c97174.zip
mail-client/neomutt: Version bump to 20171006
Package-Manager: Portage-2.3.8, Repoman-2.3.3
Diffstat (limited to 'mail-client/neomutt')
-rw-r--r--mail-client/neomutt/Manifest1
-rw-r--r--mail-client/neomutt/files/0001-Rename-mutt-to-neomutt-20171006.patch81
-rw-r--r--mail-client/neomutt/files/0001-Rename-mutt-to-neomutt-9999.patch (renamed from mail-client/neomutt/files/0001-Rename-mutt-to-neomutt.patch)0
-rw-r--r--mail-client/neomutt/neomutt-20170912.ebuild2
-rw-r--r--mail-client/neomutt/neomutt-20171006.ebuild113
-rw-r--r--mail-client/neomutt/neomutt-9999.ebuild2
6 files changed, 197 insertions, 2 deletions
diff --git a/mail-client/neomutt/Manifest b/mail-client/neomutt/Manifest
index 4f8cd512557..273709d7264 100644
--- a/mail-client/neomutt/Manifest
+++ b/mail-client/neomutt/Manifest
@@ -1,2 +1,3 @@
DIST neomutt-20170714.tar.gz 2509160 SHA256 40d48920f95ca49ab96eb109b658f5cf6e1c222320c58bdd03769c1355d7a383 SHA512 eb31d2f23b7211904cd66ba293c008f953778b37f13fd09d4db571d013f1c8e6449fccd827872f3ad0a2c8e62555f92b3f9591a1f0f4ac37ab362a4681abaaa0 WHIRLPOOL 455495501a2ab1989d5f3bfa75aa2370896956cdfd7d2e852e225c96aa23a1abdaf2dbb9d886d1d96486d19b2b38c225e8263f268ebafcef8cbd0024885189f3
DIST neomutt-20170912.tar.gz 2533245 SHA256 9f0d128fe8dbbbddb67e2b629f8b5e52a9d892f82c735845c1708c14e3046657 SHA512 7551da47029667443257d9d370af7217846abf988d1469c4e08f367ef0bce2dfb658321df27176622bbd07e6d46c320380749d4ce05ee39cb1e8d9b6c3e1d7e6 WHIRLPOOL 0dad6380acf5b6f891bcb77388023de27d23e4ea8ad0eb3563c1704de555a2fc54604d47b9b67557c6ab0310e1c365c786a1952f6794b2012594f1c19033ad3c
+DIST neomutt-20171006.tar.gz 2706019 SHA256 86e9d945919438a377828b15f03c8690f639062e44151e219e2f8443ae27147c SHA512 adfa702ee642ce58b11dab1d2b805626d8f90e8cc88731cb7e051df5b785010ac43d90eb14d2a5ace02d3abaf921c9f36f86f627063036bcb7f5724912ca134d WHIRLPOOL 75f2a0c8881b769f1a7acd8c0e7724baf0a2943a68a4029d74d32a5a5ed3203c32ce3704b3271a8e05f02c233273319437a593ffad9df5e1b988f8725f0f2433
diff --git a/mail-client/neomutt/files/0001-Rename-mutt-to-neomutt-20171006.patch b/mail-client/neomutt/files/0001-Rename-mutt-to-neomutt-20171006.patch
new file mode 100644
index 00000000000..b0c4673f3a9
--- /dev/null
+++ b/mail-client/neomutt/files/0001-Rename-mutt-to-neomutt-20171006.patch
@@ -0,0 +1,81 @@
+From ac4562d86f6d920044a30b196cdab7a94e44d46a Mon Sep 17 00:00:00 2001
+From: Nicolas Bock <nicolasbock@gmail.com>
+Date: Mon, 2 Oct 2017 14:04:34 -0600
+Subject: [PATCH] Rename mutt to neomutt
+
+---
+ Makefile.am | 4 ++--
+ configure.ac | 2 +-
+ doc/Makefile.am | 6 +++---
+ lib/Makefile.am | 4 ++--
+ 4 files changed, 8 insertions(+), 8 deletions(-)
+
+diff --git a/Makefile.am b/Makefile.am
+index d3e125b4..ea9ff58c 100644
+--- a/Makefile.am
++++ b/Makefile.am
+@@ -62,8 +62,8 @@ nodist_neomutt_SOURCES = $(BUILT_SOURCES)
+ LIBIMAP = -Limap -limap
+ LIBIMAPDEPS = $(top_srcdir)/imap/imap.h imap/libimap.a
+
+-LIBMUTT = -Llib -lmutt
+-LIBMUTTDEPS = $(top_srcdir)/lib/lib.h lib/libmutt.a
++LIBMUTT = -Llib -lneomutt
++LIBMUTTDEPS = $(top_srcdir)/lib/lib.h lib/libneomutt.a
+
+ neomutt_LDADD = $(MUTT_LIB_OBJECTS) $(LIBOBJS) $(HCACHE_LIBS) $(NCRYPT_LIBS) \
+ $(LIBIMAP) $(LIBMUTT) $(LIBICONV) $(GPGME_LIBS) $(INTLLIBS)
+diff --git a/configure.ac b/configure.ac
+index 7a3cfad9..4e2968fd 100644
+--- a/configure.ac
++++ b/configure.ac
+@@ -184,7 +184,7 @@ AC_ARG_WITH(mailpath,
+ AC_ARG_WITH(docdir,
+ AS_HELP_STRING([--with-docdir=PATH],[Specify where to put the documentation]),
+ [mutt_cv_docdir=$withval],
+- [mutt_cv_docdir='${datarootdir}/doc/mutt'])
++ [mutt_cv_docdir='${datarootdir}/doc/neomutt'])
+
+ AC_ARG_WITH(domain,
+ AS_HELP_STRING([--with-domain=DOMAIN],[Specify your DNS domain name]),
+diff --git a/doc/Makefile.am b/doc/Makefile.am
+index cbb5efec..96bae35a 100644
+--- a/doc/Makefile.am
++++ b/doc/Makefile.am
+@@ -43,8 +43,8 @@ install-data-local: makedoc-all
+ $(INSTALL) -m 644 neomutt.1 $(DESTDIR)$(mandir)/man1/neomutt.1
+ $(INSTALL) -m 644 neomuttrc.man $(DESTDIR)$(mandir)/man5/neomuttrc.5
+ $(INSTALL) -m 644 $(srcdir)/smime_keys.1 $(DESTDIR)$(mandir)/man1/smime_keys_$(PACKAGE).1
+- $(INSTALL) -m 644 $(srcdir)/pgpewrap.1 $(DESTDIR)$(mandir)/man1/pgpewrap_$(PACKAGE).1
+- $(INSTALL) -m 644 $(srcdir)/pgpring.1 $(DESTDIR)$(mandir)/man1/pgpring_$(PACKAGE).1
++ $(INSTALL) -m 644 $(srcdir)/pgpewrap.1 $(DESTDIR)$(mandir)/man1/neomutt_pgpewrap_$(PACKAGE).1
++ $(INSTALL) -m 644 $(srcdir)/pgpring.1 $(DESTDIR)$(mandir)/man1/neomutt_pgpring_$(PACKAGE).1
+ $(INSTALL) -m 644 $(srcdir)/mbox.5 $(DESTDIR)$(mandir)/man5/mbox_$(PACKAGE).5
+ $(INSTALL) -m 644 $(srcdir)/mmdf.5 $(DESTDIR)$(mandir)/man5/mmdf_$(PACKAGE).5
+ $(MKDIR_P) $(DESTDIR)$(docdir)
+@@ -63,7 +63,7 @@ install-data-local: makedoc-all
+ -$(INSTALL) -m 644 $(srcdir)/mime.types $(DESTDIR)$(docdir)/mime.types
+
+ uninstall-local:
+- for f in neomutt.1 smime_keys_$(PACKAGE).1 pgpewrap_$(PACKAGE).1 pgpring_$(PACKAGE).1; do \
++ for f in neomutt.1 smime_keys_$(PACKAGE).1 neomutt_pgpewrap_$(PACKAGE).1 neomutt_pgpring_$(PACKAGE).1; do \
+ rm -f $(DESTDIR)$(mandir)/man1/$$f; \
+ done
+ for f in neomuttrc.5 mbox_$(PACKAGE).5 mmdf_$(PACKAGE).5; do \
+diff --git a/lib/Makefile.am b/lib/Makefile.am
+index ac7658a9..222cbc68 100644
+--- a/lib/Makefile.am
++++ b/lib/Makefile.am
+@@ -7,7 +7,7 @@ EXTRA_DIST = lib.h base64.h buffer.h date.h debug.h exit.h file.h hash.h mapping
+
+ AM_CPPFLAGS = -I$(top_srcdir)
+
+-noinst_LIBRARIES = libmutt.a
++noinst_LIBRARIES = libneomutt.a
+
+-libmutt_a_SOURCES = base64.c buffer.c date.c debug.c exit.c file.c hash.c mapping.c md5.c memory.c message.c sha1.c string.c
++libneomutt_a_SOURCES = base64.c buffer.c date.c debug.c exit.c file.c hash.c mapping.c md5.c memory.c message.c sha1.c string.c
+
+--
+2.13.6
+
diff --git a/mail-client/neomutt/files/0001-Rename-mutt-to-neomutt.patch b/mail-client/neomutt/files/0001-Rename-mutt-to-neomutt-9999.patch
index 319adafc80b..319adafc80b 100644
--- a/mail-client/neomutt/files/0001-Rename-mutt-to-neomutt.patch
+++ b/mail-client/neomutt/files/0001-Rename-mutt-to-neomutt-9999.patch
diff --git a/mail-client/neomutt/neomutt-20170912.ebuild b/mail-client/neomutt/neomutt-20170912.ebuild
index 404b40f4688..af1e426e2d5 100644
--- a/mail-client/neomutt/neomutt-20170912.ebuild
+++ b/mail-client/neomutt/neomutt-20170912.ebuild
@@ -98,7 +98,7 @@ src_install() {
rm "${ED}"/etc/${PN}/mime.types || die
dosym "${EPREFIX}/etc/mime.types" /etc/${PN}/mime.types
- ## A man-page is always handy, so fake one
+ # A man-page is always handy, so fake one
if use !doc; then
emake -C doc muttrc.man
# make the fake slightly better, bug #413405
diff --git a/mail-client/neomutt/neomutt-20171006.ebuild b/mail-client/neomutt/neomutt-20171006.ebuild
new file mode 100644
index 00000000000..1adc070a098
--- /dev/null
+++ b/mail-client/neomutt/neomutt-20171006.ebuild
@@ -0,0 +1,113 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools eutils flag-o-matic
+
+SRC_URI="https://github.com/${PN}/${PN}/archive/${P}.tar.gz"
+KEYWORDS="~amd64 ~x86"
+
+DESCRIPTION="A small but very powerful text-based mail client"
+HOMEPAGE="https://www.neomutt.org/"
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="berkdb crypt debug doc gdbm gnutls gpg idn kerberos kyotocabinet
+ libressl lmdb nls notmuch qdbm sasl selinux slang smime ssl +symlink
+ tokyocabinet"
+
+CDEPEND="
+ app-misc/mime-types
+ berkdb? ( >=sys-libs/db-4:= )
+ gdbm? ( sys-libs/gdbm )
+ kyotocabinet? ( dev-db/kyotocabinet )
+ lmdb? ( dev-db/lmdb )
+ nls? ( virtual/libintl )
+ qdbm? ( dev-db/qdbm )
+ tokyocabinet? ( dev-db/tokyocabinet )
+ gnutls? ( >=net-libs/gnutls-1.0.17 )
+ gpg? ( >=app-crypt/gpgme-0.9.0 )
+ idn? ( net-dns/libidn )
+ kerberos? ( virtual/krb5 )
+ notmuch? ( net-mail/notmuch )
+ sasl? ( >=dev-libs/cyrus-sasl-2 )
+ !slang? ( sys-libs/ncurses:0 )
+ slang? ( sys-libs/slang )
+ ssl? (
+ !libressl? ( >=dev-libs/openssl-0.9.6:0 )
+ libressl? ( dev-libs/libressl )
+ )
+"
+DEPEND="${CDEPEND}
+ net-mail/mailbase
+ doc? (
+ dev-libs/libxml2
+ dev-libs/libxslt
+ app-text/docbook-xsl-stylesheets
+ || ( www-client/lynx www-client/w3m www-client/elinks )
+ )"
+RDEPEND="${CDEPEND}
+ selinux? ( sec-policy/selinux-mutt )
+"
+
+S="${WORKDIR}/${PN}-${P}"
+
+src_prepare() {
+ eapply "${FILESDIR}/0001-Rename-mutt-to-neomutt-${PV}.patch"
+ eapply_user
+ AT_M4DIR="m4" eautoreconf
+}
+
+src_configure() {
+ local myconf=(
+ "$(use_enable crypt pgp)"
+ "$(use_enable debug)"
+ "$(use_enable doc)"
+ "$(use_enable gpg gpgme)"
+ "$(use_enable nls)"
+ "$(use_enable smime)"
+ "$(use_enable notmuch)"
+ "$(use_with idn)"
+ "$(use_with kerberos gss)"
+ "$(use_with sasl)"
+ "$(use_with tokyocabinet)"
+ "$(use_with kyotocabinet)"
+ "$(use_with qdbm)"
+ "$(use_with gdbm)"
+ "$(use_with berkdb bdb)"
+ "$(use_with lmdb)"
+ "--with-$(usex slang slang curses)"
+ "--sysconfdir=${EPREFIX}/etc/${PN}"
+ "--with-docdir=${EPREFIX}/usr/share/doc/${PF}"
+ )
+
+ if use gnutls; then
+ myconf+=( "--with-gnutls" )
+ elif use ssl; then
+ myconf+=( "--with-ssl" )
+ fi
+
+ econf "${myconf[@]}"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install
+
+ # A newer file is provided by app-misc/mime-types. So we link it.
+
+ # A man-page is always handy, so fake one
+ if use !doc; then
+ emake -C doc neomuttrc.man
+ # make the fake slightly better, bug #413405
+ sed -e 's#@docdir@/manual.txt#http://www.neomutt.org/guide#' \
+ -e 's#in @docdir@,#at http://www.neomutt.org/,#' \
+ -e "s#@sysconfdir@#${EPREFIX}/etc/${PN}#" \
+ -e "s#@bindir@#${EPREFIX}/usr/bin#" \
+ doc/neomutt.man > neomutt.1 || die
+ cp doc/neomuttrc.man neomuttrc.5 || die
+ doman neomutt.1 neomuttrc.5
+ fi
+
+ dodoc COPYRIGHT LICENSE* ChangeLog* README*
+}
diff --git a/mail-client/neomutt/neomutt-9999.ebuild b/mail-client/neomutt/neomutt-9999.ebuild
index efec30f01e8..67c81d2fa7f 100644
--- a/mail-client/neomutt/neomutt-9999.ebuild
+++ b/mail-client/neomutt/neomutt-9999.ebuild
@@ -55,7 +55,7 @@ RDEPEND="${CDEPEND}
S="${WORKDIR}/${PN}-${P}"
src_prepare() {
- eapply "${FILESDIR}/0001-Rename-mutt-to-neomutt.patch"
+ eapply "${FILESDIR}/0001-Rename-mutt-to-neomutt-${PV}.patch"
eapply_user
AT_M4DIR="m4" eautoreconf
}